# POST /account/update-margin

Update margin for your account's positions.

`POST https://api.aevo.xyz/account/update-margin`

> **Authentication required.** Include your `AEVO-KEY` and `AEVO-SECRET` headers. See [Authentication](/api-reference/urls/authentication.md).

## Body Parameters

| Field             | Type    | Required | Description                                                                                                             |
| ----------------- | ------- | -------- | ----------------------------------------------------------------------------------------------------------------------- |
| `instrument`      | integer | Yes      | Instrument ID number. Example: `12`                                                                                     |
| `isolated_margin` | string  | Yes      | The change in isolated margin assigned to a position. In 6 decimals fixed number. Negative allowed. Example: `10000000` |

## Example Request

```bash
curl --request POST \
     --url https://api.aevo.xyz/account/update-margin \
     --header 'accept: application/json' \
     --header 'AEVO-KEY: <your-api-key>' \
     --header 'AEVO-SECRET: <your-api-secret>' \
     --header 'content-type: application/json' \
     --data '{ ... }'
```

## Responses

**`200`** — Update margin for an account's positions.

| Field      | Type   | Required | Description |
| ---------- | ------ | -------- | ----------- |
| `position` | object | No       |             |
| `success`  | object | No       |             |

**`401`** — Unauthorized.

| Field   | Type   | Required | Description                            |
| ------- | ------ | -------- | -------------------------------------- |
| `error` | string | Yes      | Error message. Example: `UNAUTHORIZED` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference/urls/private-api/postaccountupdatemargin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
